<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
*
-->
<HTML>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<TITLE>Javadoc Index Search</TITLE>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</HEAD>
<BODY>

<h2>Javadoc Index Search</h2>
<p>
<small><a href="#seealso">See Also</a></small></p>
<p>
From the Javadoc Index Search window, you can search
through Javadoc-generated documentation for information
on a specific class or class member. Open the Javadoc Index Search window from the main window by choosing Help &gt;
Javadoc Index Search.
</p>
<p>
To search through the documentation, type your search string in the text field and
click Find. The matches appear in the top pane of the Javadoc Index Search window.
You can view and sort the matches using the toolbar controls in the window.  The toolbar controls are 
described in the following table.</p> 
<table>
<tr>
<th align="left" scope="col" valign="top" >Control</th>
<th align="left" scope="col" valign="top">Description</th>
</tr>
<tr>
<td valign="top"><img src="images/showSource.gif" alt="Show Source button"></td>
<td valign="top">Views the source of the match in the Source Editor</td>
</tr>
<tr>
<td valign="top"><img src="images/alphaSort.gif" alt="Sort By Name button"></td>
<td valign="top">Sorts matches alphabetically</td>
</tr>
<tr>
<td valign=top><img src="images/refSort.gif" alt="Sort By Packages button"></td>
<td valign="top">Sorts matches alphabetically by package name</td>
</tr>
<tr>
  <td valign=top><img src="images/typeSort.gif" alt="Sort By Type button"></td>
  <td valign="top">Sorts matches alphabetically by entity (class, interface, method,
constructor, or field)</td>
</tr>
<tr>
<td valign=top><img src="images/toggle.gif" alt="Toggle HTML viewer" width="44" height="21"></td>
<td valign="top">Toggles the HTML viewer views for the Javadoc documentation.</td>
</tr>
</table>
<p>
To view the documentation, click the match that interests you.
The documentation
appears in the web browser in the bottom pane of the Javadoc Index Search window. 
You can navigate the documentation using the controls
in the web browser toolbar.  The following table describes the controls.
</p>
<table>
<tr>
<th align="left" scope="col" valign="top">Control</th>
<th align="left" scope="col" valign="top">Description</th>
</tr>
<tr>
<td valign=top><img src="images/back.gif" alt="Back button"></td>
<td valign=top>Returns to the previous page</td>
</tr>
<tr>
<td valign=top><img src="images/forward.gif" alt="Forward button"></td>
<td valign=top>Goes to the page you browsed prior to clicking the Return button</td>
</tr><tr>
<td valign=top><img src="images/stop.gif" alt="Stop button"></td>
<td valign=top>Stops loading the page</td>
</tr>
<tr>
<td valign=top><img src="images/reload.gif" alt="Reload button"></td>
<td valign=top>Reloads the current page</td>
</tr><tr>
<td valign=top><img src="images/history.gif" alt="History button"></td>
<td valign=top>Views a history of pages you have browsed</td>
</tr>
</table>
<p>
Double-clicking a match opens the documentation in a separate web
browser window.
</p>

<dl>
	<dt><a name="seealso">See Also</a></dt>
	<dd><a href="generate.html">Generating Javadoc Documentation</a></dd>
       	<dd><a href="show_in_editor.html">Viewing Javadoc Documentation</a></dd>
        <dd><a href="javadoc_add.html">Adding Javadoc to a Project</a></dd>
</dl>


<hr>
<small><a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="50">
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
</body>
</html>
